Index: uspace/drv/bus/usb/uhci/hc.c
===================================================================
--- uspace/drv/bus/usb/uhci/hc.c	(revision 929599a8d927390e0ba2dac24b9c478c06a31496)
+++ uspace/drv/bus/usb/uhci/hc.c	(revision a1732929ba941aba7936eef2d1f299b1f423d3b5)
@@ -141,5 +141,5 @@
 	code->cmds[3].addr = (void*)&registers->usbsts;
 
-	usb_log_debug("I/O regs at %p (size %zu), IRQ %d.\n",
+	usb_log_debug("I/O regs at %p (size %zu), IRQ %d.",
 	    RNGABSPTR(regs), RNGSZ(regs), hw_res->irqs.irqs[0]);
 
@@ -182,10 +182,10 @@
 	/* Resume interrupts are not supported */
 	if (status & UHCI_STATUS_RESUME) {
-		usb_log_error("Resume interrupt!\n");
+		usb_log_error("Resume interrupt!");
 	}
 
 	/* Bits 4 and 5 indicate hc error */
 	if (status & (UHCI_STATUS_PROCESS_ERROR | UHCI_STATUS_SYSTEM_ERROR)) {
-		usb_log_error("UHCI hardware failure!.\n");
+		usb_log_error("UHCI hardware failure!.");
 		++instance->hw_failures;
 		transfer_list_abort_all(&instance->transfers_interrupt);
@@ -198,5 +198,5 @@
 			hc_init_hw(instance);
 		} else {
-			usb_log_fatal("Too many UHCI hardware failures!.\n");
+			usb_log_fatal("Too many UHCI hardware failures!.");
 			hc_gone(&instance->base);
 		}
@@ -229,10 +229,10 @@
 	    (void **) &instance->registers);
 	if (ret != EOK) {
-		usb_log_error("Failed to gain access to registers: %s.\n",
+		usb_log_error("Failed to gain access to registers: %s.",
 	            str_error(ret));
 		return ret;
 	}
 
-	usb_log_debug("Device registers at %" PRIx64 " (%zuB) accessible.\n",
+	usb_log_debug("Device registers at %" PRIx64 " (%zuB) accessible.",
 	    hw_res->io_ranges.ranges[0].address.absolute,
 	    hw_res->io_ranges.ranges[0].size);
@@ -240,5 +240,5 @@
 	ret = hc_init_mem_structures(instance, hcd);
 	if (ret != EOK) {
-		usb_log_error("Failed to init UHCI memory structures: %s.\n",
+		usb_log_error("Failed to init UHCI memory structures: %s.",
 		    str_error(ret));
 		// TODO: we should disable pio here
@@ -304,5 +304,5 @@
 	const uint16_t cmd = pio_read_16(&registers->usbcmd);
 	if (cmd != 0)
-		usb_log_warning("Previous command value: %x.\n", cmd);
+		usb_log_warning("Previous command value: %x.", cmd);
 
 	/* Start the hc with large(64B) packet FSBR */
@@ -399,14 +399,14 @@
 		return ENOMEM;
 	}
-	usb_log_debug("Initialized frame list at %p.\n", instance->frame_list);
+	usb_log_debug("Initialized frame list at %p.", instance->frame_list);
 
 	/* Init transfer lists */
 	int ret = hc_init_transfer_lists(instance);
 	if (ret != EOK) {
-		usb_log_error("Failed to initialize transfer lists.\n");
+		usb_log_error("Failed to initialize transfer lists.");
 		return_page(instance->frame_list);
 		return ENOMEM;
 	}
-	usb_log_debug("Initialized transfer lists.\n");
+	usb_log_debug("Initialized transfer lists.");
 
 
@@ -438,5 +438,5 @@
 	int ret = transfer_list_init(&instance->transfers_##type, name); \
 	if (ret != EOK) { \
-		usb_log_error("Failed to setup %s transfer list: %s.\n", \
+		usb_log_error("Failed to setup %s transfer list: %s.", \
 		    name, str_error(ret)); \
 		transfer_list_fini(&instance->transfers_bulk_full); \
@@ -552,5 +552,5 @@
 
 		if (((cmd & UHCI_CMD_RUN_STOP) != 1) || (sts != 0)) {
-			usb_log_debug2("Command: %X Status: %X Intr: %x\n",
+			usb_log_debug2("Command: %X Status: %X Intr: %x",
 			    cmd, sts, intr);
 		}
@@ -559,5 +559,5 @@
 		    pio_read_32(&instance->registers->flbaseadd) & ~0xfff;
 		if (frame_list != addr_to_phys(instance->frame_list)) {
-			usb_log_debug("Framelist address: %p vs. %p.\n",
+			usb_log_debug("Framelist address: %p vs. %p.",
 			    (void *) frame_list,
 			    (void *) addr_to_phys(instance->frame_list));
@@ -570,5 +570,5 @@
 		uintptr_t real_pa = addr_to_phys(QH(interrupt));
 		if (expected_pa != real_pa) {
-			usb_log_debug("Interrupt QH: %p (frame %d) vs. %p.\n",
+			usb_log_debug("Interrupt QH: %p (frame %d) vs. %p.",
 			    (void *) expected_pa, frnum, (void *) real_pa);
 		}
@@ -577,5 +577,5 @@
 		real_pa = addr_to_phys(QH(control_slow));
 		if (expected_pa != real_pa) {
-			usb_log_debug("Control Slow QH: %p vs. %p.\n",
+			usb_log_debug("Control Slow QH: %p vs. %p.",
 			    (void *) expected_pa, (void *) real_pa);
 		}
@@ -584,5 +584,5 @@
 		real_pa = addr_to_phys(QH(control_full));
 		if (expected_pa != real_pa) {
-			usb_log_debug("Control Full QH: %p vs. %p.\n",
+			usb_log_debug("Control Full QH: %p vs. %p.",
 			    (void *) expected_pa, (void *) real_pa);
 		}
@@ -591,5 +591,5 @@
 		real_pa = addr_to_phys(QH(bulk_full));
 		if (expected_pa != real_pa ) {
-			usb_log_debug("Bulk QH: %p vs. %p.\n",
+			usb_log_debug("Bulk QH: %p vs. %p.",
 			    (void *) expected_pa, (void *) real_pa);
 		}
